
User Interface - Bug #4612

Bug # 2596 (New): Implement missing browse quirks.

Fix ChUI browse drawing when the current row is out of the view

04/10/2020 05:54 PM - Stanislav Lomany

Status: New Start date: 04/10/2020

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 04/10/2020 06:23 PM - Stanislav Lomany

In a ChUI browse the current row can be out of the view. It is a rare case and I'm aware only of one case when this happens in ChUI: when

REPOSITION TO ROWID fails. See #4500-73 which describes the original issue.

So far the solution implemented is stateless. But the testcase uast/browse/browse-chui-out-of-view.p shows that while the top row is not highlighted, it

is considered to be the focused row and can be selected/deselected using (DE)SELECT-FOCUSED-ROW (or DESELECT-ROWS), which probably

means that we have to manage this quirky browse state in a stateful manner.

When someone will be resolving this task, he'll want to change the code in BrowseImpl.SpaceColumnRenderer.addMarks(int) for a start.

#2 - 04/12/2020 07:45 PM - Greg Shah

- Parent task set to #2596
